from django.db import models
from dashboard.models import WidgetUser


class Announcement(models.Model):
    title = models.CharField(max_length=50)
    body = models.CharField(max_length=500)
    author = models.ForeignKey(WidgetUser, on_delete=models.CASCADE)
    pub_datetime = models.DateTimeField(
        "Date and Time Published",
        auto_now_add=True,
    )

    def __str__(self):
        return self.title


class Reaction(models.Model):

    name = models.CharField(max_length=50)
    tally = models.IntegerField(default=0)
    announcement = models.ForeignKey(Announcement, on_delete=models.CASCADE)

    def __str__(self):
        return self.name
