from django.http import HttpResponse
from .models import Announcement, Reaction
from datetime import datetime
from django.utils import timezone


def announcements(request):
    # retrieve all announcement entries in a list
    announcementList = Announcement.objects.all()

    # build response string
    response = "Widget's Announcement Board <br><br>" + "Announcements:"
    for announcement in announcementList:
        # timezone conversion and string formatting for date-time
        localdatetime = timezone.localtime(announcement.pub_datetime)
        datetime = localdatetime.strftime("%m/%d/%Y, %I:%M %p")

        # list of reactions for announcement
        reactions = announcement.reaction_set.all()

        # response proper
        response = (
            response
            + "<br>"
            + announcement.title
            + " by "
            + announcement.author.displayName()
            + " published "
            + datetime
            + ": <br>"
        )

        response = response + announcement.body + "<br>"

        # for each reaction, add line with reaction and tally
        for reaction in reactions:
            response = response + reaction.name + ": " + str(reaction.tally) + "<br>"

    return HttpResponse(response)
