from django.http import HttpResponse
from .models import ForumPost
from django.utils import timezone


def forum(request):

    # fetch forum posts and replies
    forum = ForumPost.objects.all()

    forum_view = "Widget's Forum <br> <br> Forum Posts:<br>"
    for post in forum:
        post_replies = post.reply_set.all()
        localdatetime = timezone.localtime(post.pub_datetime)
        forum_view += """
            {} by {} posted {}: <br>
            {} <br>
            """.format(
            post.title,
            post.author,
            localdatetime.strftime("%m/%d/%Y, %I:%M %p"),
            post.body,
        )

        for reply in post_replies:
            localdatetime = timezone.localtime(reply.pub_datetime)
            if reply.forum_post == post:
                forum_view += """
                    Reply by {} posted {}: <br>
                    {} <br>
                """.format(
                    reply.author,
                    localdatetime.strftime("%m/%d/%Y, %I:%M %p"),
                    reply.body,
                )
        forum_view += "<br>"
    return HttpResponse(forum_view)
